import { extract } from "../extract/extract.svelte.js";
import {} from "../../internal/configurable-globals.js";
import { useActiveElement } from "../useActiveElement/useActiveElement.svelte.js";
/**
 * Tracks whether the focus is within a target element.
 * @see {@link https://runed.dev/docs/utilities/is-focus-within}
 */
export class IsFocusWithin {
    #node;
    #target = $derived.by(() => extract(this.#node));
    #activeElement;
    constructor(node, options = {}) {
        this.#node = node;
        this.#activeElement = useActiveElement({ document: options.document, window: options.window });
    }
    current = $derived.by(() => {
        if (!this.#target || !this.#activeElement.current)
            return false;
        return this.#target.contains(this.#activeElement.current);
    });
}
