import { type ConfigurableDocumentOrShadowRoot, type ConfigurableWindow } from "../../internal/configurable-globals.js";
import { Readable } from "../Readable/readable.svelte.js";
export type UseActiveElementOptions = ConfigurableDocumentOrShadowRoot & ConfigurableWindow;
/**
 * Returns a reactive value that is equal to `document.activeElement`.
 * Optionally accepts a options object to configure custom `document` and `window` environments.
 * When
 */
export declare function useActiveElement(opts?: UseActiveElementOptions): Readable<Element | null>;
export type useActiveElementReturn = ReturnType<typeof useActiveElement>;
